For the complete documentation index, see llms.txt. This page is also available as Markdown.

TSQ - Local FT

The "TSQ - Local FT" endpoint allows customers to check the status of a Local Funds Transfer transaction.

GET /api/Transfer/v1/TSQ/Local

To retrieve the current status of the transaction, you need to provide the instrumentNumber as a query parameter.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Query Params

Name
Data Type (Length)
Required
Description

instrumentNumber

string (100)

The value passed in the instrumentNumber field of the original Local Transfer request.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/Transfer/v1/TSQ/Local?instrumentNumber=c438362c-8341-4fb3-8aa7-6706930906a9' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
Response: 200
{
  "status": true,
  "message": "Record Found",
  "data": {
    "transactionReference": "2212010096"
  }
}

Last updated